---
title: "Getting Started"
date: 2022-09-10T11:29:09-04:00
description: "A quick setup guide to get a server running"
draft: false
version: "2.0.0"
---


#  Setting up a project

To setup a project for conductor you need to create a `conductor.yaml` somewhere in your project tree.
We will assume you have a stack that consists of 2 seperate components in a directory structure that looks
like this:

```sh
/project
    /frontend/
    /backend/
    /support_service/
```

## Settting up a conductor.yml

Conductor will search for a `conductor.yaml` anywhere in or above the current working directory. We will put the configuration
in the root `/project/` folder so it is accessible from any of the component projects.

{{< infobox >}}
 For more information see the full <a ui button right floated" href="/articles/config">Config documentation</a>
{{< /infobox >}}

An example of a configuration file could look like this:

```yaml
groups:
  dev:
    components:
    - frontend
    - backend
    - support
components:
  frontend:
    env:
      API_URL: http://localhost:4000
    comamnd: npm start
  backend:
    env:
      DATABSE_URL: mysql://devserver/app-dev
      HTTP_PORT: 4000
    command: cargo run
  support:
    command: python main.py
```

Now from the project folder or any folder below it we can launch all 3 components using:

```sh
conductor dev
```

Running a single component:

```sh
conductor backend
```

Running multiple specific components:

```sh
conductor frnotend backend
```
